Surface Reference Management [DEPRECATED](3)

NAME
Surface Reference Management [DEPRECATED] -

  Functions

__CUDA_DEPRECATED cudaError_t cudaBindSurfaceToArray (const struct surfaceReference *surfref, cudaArray_const_t array, const struct cudaChannelFormatDesc *desc)
Binds an array to a surface.
__CUDA_DEPRECATED cudaError_t cudaGetSurfaceReference (const struct surfaceReference **surfref, const void *symbol)
Get the surface reference associated with a symbol.

Detailed Description

\brief surface reference management functions of the CUDA runtime API (cuda_runtime_api.h)

This section describes the low level surface reference management functions of the CUDA runtime application programming interface.

Some functions have overloaded C++ API template versions documented separately in the C++ API Routines module.

Function Documentation

  __CUDA_DEPRECATED cudaError_t cudaBindSurfaceToArray (const struct surfaceReference * surfref, cudaArray_const_t array, const struct cudaChannelFormatDesc * desc)

Deprecated

Binds the CUDA array array to the surface reference surfref. desc describes how the memory is interpreted when fetching values from the surface. Any CUDA array previously bound to surfref is unbound.

Parameters:
    surfref - Surface to bind
    array - Memory array on device
    desc - Channel format

Returns:
    cudaSuccess, cudaErrorInvalidValue, cudaErrorInvalidSurface

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaBindSurfaceToArray (C++ API), cudaBindSurfaceToArray (C++ API, inherited channel descriptor), cudaGetSurfaceReference, cuSurfRefSetArray

  __CUDA_DEPRECATED cudaError_t cudaGetSurfaceReference (const struct surfaceReference ** surfref, const void * symbol)

Deprecated

Returns in *surfref the structure associated to the surface reference defined by symbol symbol.

Parameters:
    surfref - Surface reference associated with symbol
    symbol - Surface to get reference for

Returns:
    cudaSuccess, cudaErrorInvalidSurface

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

    Use of a string naming a variable as the symbol paramater was removed in CUDA 5.0.

See also:
    cudaBindSurfaceToArray (C API), cuModuleGetSurfRef

Author

Generated automatically by Doxygen from the source code.